Hailuo H3 Image to Video
curl --request POST \
--url https://api2.radinai.com/v2/generation/hailuo-h3-image-to-video \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"prompt": "<your-prompt>",
"startImage": "<string>",
"quality": "2k",
"endImage": "<string>"
}
'import requests
url = "https://api2.radinai.com/v2/generation/hailuo-h3-image-to-video"
payload = {
"prompt": "<your-prompt>",
"startImage": "<string>",
"quality": "2k",
"endImage": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<your-prompt>',
startImage: '<string>',
quality: '2k',
endImage: '<string>'
})
};
fetch('https://api2.radinai.com/v2/generation/hailuo-h3-image-to-video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"genId": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Video Generation
Hailuo H3 Image to Video
Video Generation using Hailuo H3 Image to Video, 2K with native stereo audio
POST
/
v2
/
generation
/
hailuo-h3-image-to-video
Hailuo H3 Image to Video
Authorizations
API key, obtained from https://radinai.com/manage-api-keys
Query Parameters
Your Webhook URL, if specified, the result of the generation will be POSTed to this URL.
Body
application/json
Response
Response for status 200
Last modified on August 1, 2026
⌘I

